
eXtplorer - PHP-based File Manager - Fehler #205

CVE-2016-4313: archive path traversal vulnerability in extplorer 2.1.9

07/31/2016 01:07 PM - Emilio Pozuelo Monfort

Status: Gelöst   

Priority: Normal   

Assignee:    

Category:    

Target version: 2.1.10   

eXtplorer Version: 2.1.4 Joomla! Version: Joomla! 3.1

Description

Hi,

I haven't found an issue or a fix for this on your site, so I'm forwarding this in case you weren't aware. There was an archive path

traversal vulnerability. It has been assigned CVE-2016-4313. For more details see:

https://www.exploit-db.com/exploits/39816/

History

#1 - 08/09/2016 08:46 PM - Chris Lamb

- File CVE-2016-431.patch added

Suggested patch attached. I would use 

extpath::check

but that unfortunately also checks whether the destination is outside of 

EXT_PATH

.

#2 - 12/10/2016 10:21 PM - Sören Eberhardt-Biermann

- Status changed from Neu to Gelöst

- Target version set to 2.1.10

thanks for providing the report and the patch!

#3 - 11/27/2021 08:45 AM - David samy

تحميل برنامج تشغيل الالعاب

برنامج تشغيل الفيديو

Files

CVE-2016-431.patch 1.3 KB 08/09/2016 Chris Lamb
